Bug 205647 - hardware not detected on IBM xseries 300
hardware not detected on IBM xseries 300
Product: Red Hat Enterprise Linux 5
Classification: Red Hat
Component: kernel (Show other bugs)
i386 Linux
high Severity medium
: ---
: ---
Assigned To: Red Hat Kernel Manager
Brian Brock
Depends On:
  Show dependency treegraph
Reported: 2006-09-07 16:07 EDT by Jeremy West
Modified: 2007-11-30 17:07 EST (History)
0 users

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Last Closed: 2007-09-05 17:11:59 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---

Attachments (Terms of Use)

  None (edit)
Description Jeremy West 2006-09-07 16:07:38 EDT
Description of problem:
I started my install of RHEL5 beta from cdrom, and discovered no disks or
network detected, so I booted back into RHEL4 and looked at the modules loaded
there.  Modules of importance were (scsi_mod, aic7xxx, e100).  lspci from RHEL4
shows the disk controller as adaptec aic-7892a u160/m, and the network
controller as intel 82557/8/9 Ethernet pro 100.

I decided I'd try to load the modules myself, so I switched to ctrl-alt-F2 and
did a modprobe on aic7xxx, then ran lsmod only to find the module not listed. 
Now, I figure I'm just new to this ram disk setup, so maybe it's not possible to
do this.  So back in the installer, I choose to add a new device and picked the
aic7xxx out of the list.  This time when I checked lsmod, it showed up in the
list properly, but fdisk -l shows no disks.  dmesg shows no disks created either.

One other interesting thing to note, is that I can't run lspci from the RHEL5
install on this box either.  No results are returned.

I have this machine available to test on, so I'm more than willing to help
troubleshoot this.

Version-Release number of selected component (if applicable):

How reproducible:
See description
Comment 1 Jeremy West 2006-09-13 13:53:42 EDT
After additional testing, I found that if I passed the kernel boot parameters
"noacpi acpi=off", the install detected the disks and hardware just fine.  So
there seems to be an acpi issue for the xseries 300.

Note You need to log in before you can comment on or make changes to this bug.